Page MenuHomePhabricator

Do a research on the communication tools Zulip and Mattermost, and document the pros and cons of using them
Closed, ResolvedPublic

Description

We are considering to use one of the following tools: Zulip: https://zulip.org or Mattermost: https://about.mattermost.com/ for the purpose of team communication/ collaboration for our Outreach programs. The intent of this task is to do research on these tools and document the pros and cons of using them.

Action items:

  • Create a page with a title: "Zulip vs. Mattermost comparison".
  • Cover the following points:
    • Research the pros and cons of using each of these tools and document it. Use the following test instances for research: https://gitlab.mattermost.com/ and https://chat.zulip.org/
    • Include a brief description of the two tools, the features they offer.
    • Add any relevant links wherever necessary, and embed screenshots for visual clarity.
    • Add a conclusion section explaining which out of the two tools is most recommended and why?

Event Timeline

srishakatux added a comment.EditedDec 23 2016, 3:42 AM

I've created a task about this on Google Code-in https://codein.withgoogle.com/dashboard/tasks/4570393266356224/ and I plan to mentor it.

srishakatux updated the task description. (Show Details)Dec 23 2016, 3:51 AM

As these are hosted, do you intend for this research GCI task to be done using test instances provided by Zulip/Mattermost, or the participant would use toollabs to install and evaluate?

For what is worth, my initial suggestion (that I didn't write down anywhere, I'm sorry!) was to slice several GCi tasks:

For what is worth, my initial suggestion (that I didn't write down anywhere, I'm sorry!) was to slice several GCi tasks:

Thank you for suggesting these tasks! I think that in the context of Google Code-in, tasks that would help introduce students to the Tool Labs project such as setting up instances for Zulip, and Mattermost, set up an account, etc. would be a good learning experience. But, my concern/ question is that:

  • Did we finalize yet on going with either of these tools and not dig any further into other tools?
  • Before we jump to any conclusion or evaluate which of these tools might be useful for us, why set up their instances first? How about we consider evaluating these tools from their test instances: https://gitlab.mattermost.com/ and https://chat.zulip.org/?

@Qgil I would be happy to modify the tasks I've added on GCI, and integrate the ones you've suggested, but I am curious to learn what you think about the two points I've mentioned above :)

  • Set up a Mattermost test instance.

We already have this http://mattermost.wmflabs.org/. I can ping someone from Labs to see if it was a successful installation and if they could help bring it on.

I have no better ideas and I don't want to block the tasks. Whatever makes sense to you, @srishakatux.

srishakatux updated the task description. (Show Details)Dec 25 2016, 8:53 PM

@srishakatux As you're working, would you mind commenting on this GitHub issue ("Write documentation about how Zulip is different from IRC/Slack/etc.") with a link to your work? The Zulip team would find your comparison useful. Thanks!

@srishakatux As you're working, would you mind commenting on this GitHub issue ("Write documentation about how Zulip is different from IRC/Slack/etc.") with a link to your work? The Zulip team would find your comparison useful. Thanks!

Done

MtDu added a subscriber: MtDu.Dec 31 2016, 4:54 AM

I made some edits to the grammar for better English here https://meta.wikimedia.org/wiki/Zulip_vs._Mattermost_comparison. Should I post my thoughts on improving it here or somewhere else?
Thanks!

Here is good, or on the talk page.

thank you @jayvdb for providing mentoring support and @MtDu for working on this task! :) Will analyze results soon, and hopefully, we'll have a tool setup before the beginning of our next mentoring program!

srishakatux closed this task as Resolved.Jan 18 2017, 10:08 PM
jayvdb added a comment.EditedOct 23 2017, 7:15 AM

@srishakatux , do you want to do this again for GCI 2017? Gitter is now open source, Zulip has improved a lot in the last 12 months, and RocketChat was mentioned frequently at the GSOC summit.

Another potential research type task is research on IRC bridges / IRC webapps / IRC foo . So that Wikimedia provides newcomers with good information on how to get 'into' IRC with the best tools for their situation.

For what is worth, I am suggesting another possibility at T155678#3728874, using Discourse (maybe with a chat plugin?). One main reason being simplification of technology choices. Discourse is known for being easy to use and very newcomer friendly. Groups and permissions would allow GSoC/Outreachy teams to work as openly or privately as they wish.

@jayvdb Based on your comment, I've created a task around updating our existing documentation on communication tools T179989: Update the research documentation on open source team communication tools in Meta . Would you be willing to mentor along with me?